package com.izouma.awesomeadmin.model;

import java.util.*;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonInclude;


@JsonAutoDetect
@JsonInclude(JsonInclude.Include.NON_NULL)
public class AimTemplate {
    private Integer id;
    private String delFlag;
    private Date updateTime;
    private String updateUser;
    private Date createTime;
    private String createUser;
    private String templateName;
    private String applyTo;
    private String remark;
    private String power;

    private String aimNum;

    private String idStr;

    private String searchKey;

    private String systemFlag;

    /**
     * and,test_name,like,value;or,remark,=,123
     */
    private String advancedQuery;

    /**
     * column_name_,desc_;column_name_,asc
     */
    private String orderByStr;

    private List<AimTemplateAim> aimTemplateAimList;

    public Integer getId() {
        return this.id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getDelFlag() {
        return this.delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public Date getUpdateTime() {
        return this.updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateUser() {
        return this.updateUser;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateUser() {
        return this.createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getTemplateName() {
        return this.templateName;
    }

    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }

    public String getApplyTo() {
        return this.applyTo;
    }

    public void setApplyTo(String applyTo) {
        this.applyTo = applyTo;
    }

    public String getRemark() {
        return this.remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getPower() {
        return this.power;
    }

    public void setPower(String power) {
        this.power = power;
    }

    public String getSearchKey() {
        return searchKey;
    }

    public void setSearchKey(String searchKey) {
        this.searchKey = searchKey;
    }

    public String getAdvancedQuery() {
        return advancedQuery;
    }

    public void setAdvancedQuery(String advancedQuery) {
        this.advancedQuery = advancedQuery;
    }

    public String getOrderByStr() {
        return orderByStr;
    }

    public void setOrderByStr(String orderByStr) {
        this.orderByStr = orderByStr;
    }

    public String getIdStr() {
        return idStr;
    }

    public void setIdStr(String idStr) {
        this.idStr = idStr;
    }

    public String getAimNum() {
        return aimNum;
    }

    public void setAimNum(String aimNum) {
        this.aimNum = aimNum;
    }

    public List<AimTemplateAim> getAimTemplateAimList() {
        return aimTemplateAimList;
    }

    public void setAimTemplateAimList(List<AimTemplateAim> aimTemplateAimList) {
        this.aimTemplateAimList = aimTemplateAimList;
    }

    public String getSystemFlag() {
        return systemFlag;
    }

    public void setSystemFlag(String systemFlag) {
        this.systemFlag = systemFlag;
    }
}

